Subject: Re: bug#7833: automake uses two different values for DejaGNU srcdir

From: Peter Breitenlohner <[email-masked]>
Date: Sat, 15 Jan 2011 16:22:32 +0100 (CET)

On Fri, 14 Jan 2011, Ralf Wildenhues wrote:

> Through testing I found out again that DejaGNU does not cope with white
> space in absolute directory names anyway, regardless of srcdir being
> relative or absolute.  That obviates my first point.  Remains only the
> fairly minor src+build-tree relocatability point.

Hi Ralf,

I remember a problem with gcc's 'make check' that could be related.  Some
tests failed when `pwd -L` was different from `pwd -P`, presumably due to
the two different srcdir's.

I could avoid this problem by first doing 'cd `pwd -P`'.

Regards
Peter Breitenlohner <[email-masked]>